<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:21 CEST 2020 -->
<title>T-Index</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/app/beans/Link.html#toString--">toString()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/Link.html" title="class in com.app.beans">Link</a></dt>
<dd>
<div class="block">toString method to display Link object - object is represented as a full link
 to the show.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Movie.html#toString--">toString()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/Movie.html" title="class in com.app.beans">Movie</a></dt>
<dd>
<div class="block">toString method to display Movie object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Show.html#toString--">toString()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/Show.html" title="class in com.app.beans">Show</a></dt>
<dd>
<div class="block">toString method to display Show object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/TvShow.html#toString--">toString()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a></dt>
<dd>
<div class="block">toString method to display TvShow object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/User.html#toString--">toString()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/User.html" title="class in com.app.beans">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Video.html#toString--">toString()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/Video.html" title="class in com.app.beans">Video</a></dt>
<dd>
<div class="block">toString method to display Video object</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/TvShow.html#totalSeriesLength-com.app.beans.TvShow-">totalSeriesLength(TvShow)</a></span> - Method in class com.app.beans.<a href="../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a></dt>
<dd>
<div class="block">Method for calculating total length of series (value returned in hours).</div>
</dd>
<dt><a href="../com/app/beans/TvShow.html" title="class in com.app.beans"><span class="typeNameLink">TvShow</span></a> - Class in <a href="../com/app/beans/package-summary.html">com.app.beans</a></dt>
<dd>
<div class="block">TvShow is a class that extends from Show, that it - it has attributes from
 Show as well as its own.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/TvShow.html#TvShow-java.lang.Integer-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.Integer-java.lang.Integer-java.lang.Integer-java.lang.Double-">TvShow(Integer, String, String, String, String, Integer, Integer, Integer, Double)</a></span> - Constructor for class com.app.beans.<a href="../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a></dt>
<dd>
<div class="block">Parameterised constructor for creating TvShow object</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/TvShow.html#tvShowList">tvShowList</a></span> - Variable in class com.app.beans.<a href="../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a></dt>
<dd>
<div class="block">List of TV shows.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
